org.jgroups.logging

## Interface Log

All Known Implementing Classes:
  JDKLogImpl, Log4JLogImpl

    public interface Log

Simple logging wrapper for log4j or JDK logging. Code originally copied from Infinispan

Since:
  2.8
Author:
  Manik Surtani, Bela Ban

### Method Summary

Methods
`void` `debug(java.lang.String msg)`
`void` `debug(java.lang.String msg, java.lang.Throwable throwable)`
`void` `error(java.lang.String msg)`
`void` `error(java.lang.String msg, java.lang.Throwable throwable)`
`void` `fatal(java.lang.String msg)`
`void` `fatal(java.lang.String msg, java.lang.Throwable throwable)`
`java.lang.String` `getLevel()`
`void` `info(java.lang.String msg)`
`void` `info(java.lang.String msg, java.lang.Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `setLevel(java.lang.String level)` Sets the level of a logger.
`void` `trace(java.lang.Object msg)`
`void` `trace(java.lang.Object msg, java.lang.Throwable throwable)`
`void` `trace(java.lang.String msg)`
`void` `trace(java.lang.String msg, java.lang.Throwable throwable)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable throwable)`

### Method Detail

#### isFatalEnabled

    boolean isFatalEnabled()

#### isErrorEnabled

    boolean isErrorEnabled()

#### isWarnEnabled

    boolean isWarnEnabled()

#### isInfoEnabled

    boolean isInfoEnabled()

#### isDebugEnabled

    boolean isDebugEnabled()

#### isTraceEnabled

    boolean isTraceEnabled()

#### debug

    void debug(java.lang.String msg)

#### debug

    void debug(java.lang.String msg,
             java.lang.Throwable throwable)

#### error

    void error(java.lang.String msg)

#### error

    void error(java.lang.String msg,
             java.lang.Throwable throwable)

#### fatal

    void fatal(java.lang.String msg)

#### fatal

    void fatal(java.lang.String msg,
             java.lang.Throwable throwable)

#### info

    void info(java.lang.String msg)

#### info

    void info(java.lang.String msg,
            java.lang.Throwable throwable)

#### trace

    void trace(java.lang.Object msg)

#### trace

    void trace(java.lang.Object msg,
             java.lang.Throwable throwable)

#### trace

    void trace(java.lang.String msg)

#### trace

    void trace(java.lang.String msg,
             java.lang.Throwable throwable)

#### warn

    void warn(java.lang.String msg)

#### warn

    void warn(java.lang.String msg,
            java.lang.Throwable throwable)

#### setLevel

    void setLevel(java.lang.String level)

Sets the level of a logger. This method is used to dynamically change the logging level of a running system, e.g. via JMX. The appender of a level needs to exist.

Parameters:
  `level` - The new level. Valid values are "fatal", "error", "warn", "info", "debug", "trace" (capitalization not relevant)

#### getLevel

    java.lang.String getLevel()